Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messages
Class BytesMessageImpl

    java.lang.Object
      net.sf.dropboxmq.messages.MessageImpl
          net.sf.dropboxmq.messages.BytesMessageImpl

All Implemented Interfaces:
  BytesMessage, Message

    public class BytesMessageImpl

extends MessageImpl
implements BytesMessage

Created: 15 Jan 2006

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`BytesMessageImpl(BytesMessage foreignMessage, SessionImpl session)`
`BytesMessageImpl(SessionImpl session)`

Method Summary
`protected void` | `checkWrite()`
`void` | `clearBody()` Clears out the message body.
`long` | `getBodyLength()` Gets the number of bytes of the message body when the message is in read-only mode.
`void` | `read(File newMessageFile, FileSystem fileSystem)`
`boolean` | `readBoolean()` Reads a `boolean` from the bytes message stream.
`byte` | `readByte()` Reads a signed 8-bit value from the bytes message stream.
`int` | `readBytes(byte[] value)` Reads a byte array from the bytes message stream.
`int` | `readBytes(byte[] value, int length)` Reads a portion of the bytes message stream.
`char` | `readChar()` Reads a Unicode character value from the bytes message stream.
`double` | `readDouble()` Reads a `double` from the bytes message stream.
`(package private) static byte[]` | `readFile(File messageFile, FileSystem fileSystem)`
`float` | `readFloat()` Reads a `float` from the bytes message stream.
`int` | `readInt()` Reads a signed 32-bit integer from the bytes message stream.
`long` | `readLong()` Reads a signed 64-bit integer from the bytes message stream.
`short` | `readShort()` Reads a signed 16-bit number from the bytes message stream.
`int` | `readUnsignedByte()` Reads an unsigned 8-bit number from the bytes message stream.
`int` | `readUnsignedShort()` Reads an unsigned 16-bit number from the bytes message stream.
`String` | `readUTF()` Reads a string that has been encoded using a modified UTF-8 format from the bytes message stream.
`void` | `reset()` Puts the message body in read-only mode and repositions the stream of bytes to the beginning.
`void` | `setReceived(boolean received)`
`String` | `toString()`
`void` | `write(File newMessageFile, FileSystem fileSystem)`
`void` | `writeBoolean(boolean value)` Writes a `boolean` to the bytes message stream as a 1-byte value.
`void` | `writeByte(byte value)` Writes a `byte` to the bytes message stream as a 1-byte value.
`void` | `writeBytes(byte[] value)` Writes a byte array to the bytes message stream.
`void` | `writeBytes(byte[] value, int offset, int length)` Writes a portion of a byte array to the bytes message stream.
`void` | `writeChar(char value)` Writes a `char` to the bytes message stream as a 2-byte value, high byte first.
`void` | `writeDouble(double value)` Converts the `double` argument to a `long` using the `doubleToLongBits` method in class `Double`, and then writes that `long` value to the bytes message stream as an 8-byte quantity, high byte first.
`(package private) static void` | `writeFile(byte[] bytes, File messageFile, FileSystem fileSystem)`
`void` | `writeFloat(float value)` Converts the `float` argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the bytes message stream as a 4-byte quantity, high byte first.
`void` | `writeInt(int value)` Writes an `int` to the bytes message stream as four bytes, high byte first.
`void` | `writeLong(long value)` Writes a `long` to the bytes message stream as eight bytes, high byte first.
`void` | `writeObject(Object value)` Writes an object to the bytes message stream.
`void` | `writeShort(short value)` Writes a `short` to the bytes message stream as two bytes, high byte first.
`void` | `writeUTF(String value)` Writes a string to the bytes message stream using UTF-8 encoding in a machine-independent manner.

Methods inherited from class net.sf.dropboxmq.messages.MessageImpl
`acknowledge, clearProperties, convertForeignMessage, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getReadMessageFile, getSequence, getSession, getShortProperty, getStringProperty, isBodyReadOnly, isExpired, isReceived, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setSequence, setSession, setShortProperty, setStringProperty, toObjectString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Message
`acknowledge, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Constructor Detail

### BytesMessageImpl

    public BytesMessageImpl(SessionImpl session)

### BytesMessageImpl

    BytesMessageImpl(BytesMessage foreignMessage,
                     SessionImpl session)
               throws JMSException

Throws:
  `JMSException`

Method Detail

### read

    public void read(File newMessageFile,
                     FileSystem fileSystem)
              throws IOException,
                     FileSystem.FileSystemException,
                     JMSException

  Overrides:
    `read` in class `MessageImpl`
  Throws:
    `IOException`
    `FileSystem.FileSystemException`
    `JMSException`

### readFile

    static byte[] readFile(File messageFile,
                           FileSystem fileSystem)
                    throws IOException

  Throws:
    `IOException`

### write

    public void write(File newMessageFile,
                      FileSystem fileSystem)
               throws IOException,
                      JMSException,
                      FileSystem.FileSystemException

  Overrides:
    `write` in class `MessageImpl`
  Throws:
    `IOException`
    `JMSException`
    `FileSystem.FileSystemException`

### writeFile

    static void writeFile(byte[] bytes,
                          File messageFile,
                          FileSystem fileSystem)
                   throws IOException

  Throws:
    `IOException`

### clearBody

    public void clearBody()
                   throws JMSException

  Description copied from interface: `javax.jms.Message`
  Clears out the message body. Clearing a message's body does not clear its header values or property entries.

  If this message body was read-only, calling this method leaves the message body in the same state as an empty body in a newly created message.

  Specified by:
    `clearBody` in interface `Message`
  Overrides:
    `clearBody` in class `MessageImpl`
  Throws:
    `JMSException` - if the JMS provider fails to clear the message body due to some internal error.

### getBodyLength

    public long getBodyLength()
                       throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Gets the number of bytes of the message body when the message is in read-only mode. The value returned can be used to allocate a byte array. The value returned is the entire length of the message body, regardless of where the pointer for reading the message is currently located.

  Specified by:
    `getBodyLength` in interface `BytesMessage`
  Returns:
    number of bytes in the message
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageNotReadableException` - if the message is in write-only mode.

### readBoolean

    public boolean readBoolean()
                        throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a `boolean` from the bytes message stream.

  Specified by:
    `readBoolean` in interface `BytesMessage`
  Returns:
    the `boolean` value read
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readByte

    public byte readByte()
                  throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a signed 8-bit value from the bytes message stream.

  Specified by:
    `readByte` in interface `BytesMessage`
  Returns:
    the next byte from the bytes message stream as a signed 8-bit `byte`
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readUnsignedByte

    public int readUnsignedByte()
                         throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads an unsigned 8-bit number from the bytes message stream.

  Specified by:
    `readUnsignedByte` in interface `BytesMessage`
  Returns:
    the next byte from the bytes message stream, interpreted as an unsigned 8-bit number
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readShort

    public short readShort()
                    throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a signed 16-bit number from the bytes message stream.

  Specified by:
    `readShort` in interface `BytesMessage`
  Returns:
    the next two bytes from the bytes message stream, interpreted as a signed 16-bit number
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readUnsignedShort

    public int readUnsignedShort()
                          throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads an unsigned 16-bit number from the bytes message stream.

  Specified by:
    `readUnsignedShort` in interface `BytesMessage`
  Returns:
    the next two bytes from the bytes message stream, interpreted as an unsigned 16-bit integer
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readChar

    public char readChar()
                  throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a Unicode character value from the bytes message stream.

  Specified by:
    `readChar` in interface `BytesMessage`
  Returns:
    the next two bytes from the bytes message stream as a Unicode character
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readInt

    public int readInt()
                throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a signed 32-bit integer from the bytes message stream.

  Specified by:
    `readInt` in interface `BytesMessage`
  Returns:
    the next four bytes from the bytes message stream, interpreted as an `int`
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readLong

    public long readLong()
                  throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a signed 64-bit integer from the bytes message stream.

  Specified by:
    `readLong` in interface `BytesMessage`
  Returns:
    the next eight bytes from the bytes message stream, interpreted as a `long`
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readFloat

    public float readFloat()
                    throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a `float` from the bytes message stream.

  Specified by:
    `readFloat` in interface `BytesMessage`
  Returns:
    the next four bytes from the bytes message stream, interpreted as a `float`
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readDouble

    public double readDouble()
                      throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a `double` from the bytes message stream.

  Specified by:
    `readDouble` in interface `BytesMessage`
  Returns:
    the next eight bytes from the bytes message stream, interpreted as a `double`
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readUTF

    public String readUTF()
                   throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a string that has been encoded using a modified UTF-8 format from the bytes message stream.

  For more information on the UTF-8 format, see "File System Safe UCS Transformation Format (FSS_UTF)", X/Open Preliminary Specification, X/Open Company Ltd., Document Number: P316. This information also appears in ISO/IEC 10646, Annex P.

  Specified by:
    `readUTF` in interface `BytesMessage`
  Returns:
    a Unicode string from the bytes message stream
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageEOFException` - if unexpected end of bytes stream has been reached.
    `MessageNotReadableException` - if the message is in write-only mode.

### readBytes

    public int readBytes(byte[] value)
                  throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a byte array from the bytes message stream.

  If the length of array `value` is less than the number of bytes remaining to be read from the stream, the array should be filled. A subsequent call reads the next increment, and so on.

  If the number of bytes remaining in the stream is less than the length of array `value`, the bytes should be read into the array. The return value of the total number of bytes read will be less than the length of the array, indicating that there are no more bytes left to be read from the stream. The next read of the stream returns -1.

  Specified by:
    `readBytes` in interface `BytesMessage`
  Parameters:
    `value` - the buffer into which the data is read
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageNotReadableException` - if the message is in write-only mode.

### readBytes

    public int readBytes(byte[] value,
                         int length)
                  throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Reads a portion of the bytes message stream.

  If the length of array `value` is less than the number of bytes remaining to be read from the stream, the array should be filled. A subsequent call reads the next increment, and so on.

  If the number of bytes remaining in the stream is less than the length of array `value`, the bytes should be read into the array. The return value of the total number of bytes read will be less than the length of the array, indicating that there are no more bytes left to be read from the stream. The next read of the stream returns -1.

  If `length` is negative, or `length` is greater than the length of the array `value`, then an `IndexOutOfBoundsException` is thrown. No bytes will be read from the stream for this exception case.

  Specified by:
    `readBytes` in interface `BytesMessage`
  Parameters:
    `value` - the buffer into which the data is read
    `length` - the number of bytes to read; must be less than or equal to `value.length`
  Returns:
    the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached
  Throws:
    `JMSException` - if the JMS provider fails to read the message due to some internal error.
    `MessageNotReadableException` - if the message is in write-only mode.

### writeBoolean

    public void writeBoolean(boolean value)
                      throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a `boolean` to the bytes message stream as a 1-byte value. The value `true` is written as the value `(byte)1`; the value `false` is written as the value `(byte)0`.

  Specified by:
    `writeBoolean` in interface `BytesMessage`
  Parameters:
    `value` - the `boolean` value to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeByte

    public void writeByte(byte value)
                   throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a `byte` to the bytes message stream as a 1-byte value.

  Specified by:
    `writeByte` in interface `BytesMessage`
  Parameters:
    `value` - the `byte` value to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeShort

    public void writeShort(short value)
                    throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a `short` to the bytes message stream as two bytes, high byte first.

  Specified by:
    `writeShort` in interface `BytesMessage`
  Parameters:
    `value` - the `short` to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeChar

    public void writeChar(char value)
                   throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a `char` to the bytes message stream as a 2-byte value, high byte first.

  Specified by:
    `writeChar` in interface `BytesMessage`
  Parameters:
    `value` - the `char` value to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeInt

    public void writeInt(int value)
                  throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes an `int` to the bytes message stream as four bytes, high byte first.

  Specified by:
    `writeInt` in interface `BytesMessage`
  Parameters:
    `value` - the `int` to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeLong

    public void writeLong(long value)
                   throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a `long` to the bytes message stream as eight bytes, high byte first.

  Specified by:
    `writeLong` in interface `BytesMessage`
  Parameters:
    `value` - the `long` to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeFloat

    public void writeFloat(float value)
                    throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Converts the `float` argument to an `int` using the `floatToIntBits` method in class `Float`, and then writes that `int` value to the bytes message stream as a 4-byte quantity, high byte first.

  Specified by:
    `writeFloat` in interface `BytesMessage`
  Parameters:
    `value` - the `float` value to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeDouble

    public void writeDouble(double value)
                     throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Converts the `double` argument to a `long` using the `doubleToLongBits` method in class `Double`, and then writes that `long` value to the bytes message stream as an 8-byte quantity, high byte first.

  Specified by:
    `writeDouble` in interface `BytesMessage`
  Parameters:
    `value` - the `double` value to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeUTF

    public void writeUTF(String value)
                  throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a string to the bytes message stream using UTF-8 encoding in a machine-independent manner.

  For more information on the UTF-8 format, see "File System Safe UCS Transformation Format (FSS_UTF)", X/Open Preliminary Specification, X/Open Company Ltd., Document Number: P316. This information also appears in ISO/IEC 10646, Annex P.

  Specified by:
    `writeUTF` in interface `BytesMessage`
  Parameters:
    `value` - the `String` value to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeBytes

    public void writeBytes(byte[] value)
                    throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a byte array to the bytes message stream.

  Specified by:
    `writeBytes` in interface `BytesMessage`
  Parameters:
    `value` - the byte array to be written
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeBytes

    public void writeBytes(byte[] value,
                           int offset,
                           int length)
                    throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes a portion of a byte array to the bytes message stream.

  Specified by:
    `writeBytes` in interface `BytesMessage`
  Parameters:
    `value` - the byte array value to be written
    `offset` - the initial offset within the byte array
    `length` - the number of bytes to use
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageNotWriteableException` - if the message is in read-only mode.

### writeObject

    public void writeObject(Object value)
                     throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Writes an object to the bytes message stream.

  This method works only for the objectified primitive object types (`Integer`, `Double`, `Long` ...), `String` objects, and byte arrays.

  Specified by:
    `writeObject` in interface `BytesMessage`
  Parameters:
    `value` - the object in the Java programming language ("Java object") to be written; it must not be null
  Throws:
    `JMSException` - if the JMS provider fails to write the message due to some internal error.
    `MessageFormatException` - if the object is of an invalid type.
    `MessageNotWriteableException` - if the message is in read-only mode.

### reset

    public final void reset()
                     throws JMSException

  Description copied from interface: `javax.jms.BytesMessage`
  Puts the message body in read-only mode and repositions the stream of bytes to the beginning.

  Specified by:
    `reset` in interface `BytesMessage`
  Throws:
    `JMSException` - if the JMS provider fails to reset the message due to some internal error.
    `MessageFormatException` - if the message has an invalid format.

### setReceived

    public void setReceived(boolean received)
                     throws JMSException

  Overrides:
    `setReceived` in class `MessageImpl`
  Throws:
    `JMSException`

### checkWrite

    protected void checkWrite()
                       throws JMSException

  Overrides:
    `checkWrite` in class `MessageImpl`
  Throws:
    `JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `MessageImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD